%%
%% This is file `pst-fun.pro',
%%
%% IMPORTANT NOTICE:
%%
%% Package `pst-fun'
%%
%% Herbert Voss <voss _at_ pstricks.de>
%%
%% This program can be redistributed and/or modified under the terms
%% of the LaTeX Project Public License Distributed from CTAN archives
%% in directory macros/latex/base/lppl.txt.
%%
%% DESCRIPTION:
%%   `pst-fun' is a PSTricks package to plot special math funtions
%%
%%
%% version 0.01 / 2007-11-15  Herbert Voss <voss _at_ pstricks.de>
%
/tx@FunDict 11 dict def
tx@FunDict begin
%
/tx@Parrot { 100 dict begin
gsave
% definition operators
/bdef {bind def} bind def
/ldef {load def} bdef
/xdef {exch def} bdef
% graphic state operators
/_K {3 index add neg dup 0 lt {pop 0} if 3 1 roll} bdef
/_k /setcmybcolor where 
{/setcmybcolor get} {{setrgbcolor pop} bind} ifelse def
/g {/_b xdef /p {_b setgray} def} bdef
/G {/_B xdef /P {_B setgray} def} bdef
/k {/_b xdef /_y xdef /_m xdef /_c xdef /p {_c _m _y _b _k} def} bdef
/K {/_B xdef /_Y xdef /_M xdef /_C xdef /P {_C _M _Y _B _k} def} bdef
/d /setdash ldef
/_i currentflat def
/i {dup 0 eq {pop _i} if setflat} bdef
/j /setlinejoin ldef
/J /setlinecap ldef
/M /setmiterlimit ldef
/w /setlinewidth ldef
% path construction operators
/_R {.25 sub round .25 add} bdef
/_r {transform _R exch _R exch itransform} bdef
/c {_r curveto} bdef
/C /c ldef
/v {currentpoint 6 2 roll _r curveto} bdef
/V /v ldef
/y {_r 2 copy curveto} bdef
/Y /y ldef
/l {_r lineto} bdef
/L /l ldef
/m {_r moveto} bdef
% error operators
/_e [] def
/_E {_e length 0 ne {gsave 0 g 0 G 0 i 0 J 0 j 1 w 10 M [] 0 d
/Courier 20 0 0 1 z [0.966 0.259 -0.259 0.966
_e 0 get _e 2 get add 2 div _e 1 get _e 3 get add 2 div] e _f t T grestore} if} bdef
/_fill {{fill} stopped
{/_e [pathbbox] def /_f (ERROR: can't fill, increase flatness) def n _E} if} bdef
/_stroke {{stroke} stopped
{/_e [pathbbox] def /_f (ERROR: can't stroke, increase flatness) def n _E} if} bdef
% path painting operators
/n /newpath ldef
/N /n ldef
/F {p _fill} bdef
/f {closepath F} bdef
/S {P _stroke} bdef
/s {closepath S} bdef
/B {gsave F grestore S} bdef
/b {closepath B} bdef
% text block construction and painting operators
/_s /ashow ldef
/_S {(?) exch {2 copy 0 exch put pop dup false charpath currentpoint _g setmatrix
_stroke _G setmatrix moveto 3 copy pop rmoveto} forall pop pop pop n} bdef
/_A {_a moveto _t exch 0 exch} bdef
/_L {0 _l neg translate _G currentmatrix pop} bdef
/_w {dup stringwidth exch 3 -1 roll length 1 sub _t mul add exch} bdef
/_z [{0 0} bind {dup _w exch neg 2 div exch neg 2 div} bind {dup _w exch neg exch neg} bind] def
/z {_z exch get /_a xdef /_t xdef /_l xdef exch findfont exch scalefont setfont} bdef
/_g matrix def
/_G matrix def
/_D {_g currentmatrix pop gsave concat _G currentmatrix pop} bdef
/e {_D p /t {_A _s _L} def} bdef
/r {_D P /t {_A _S _L} def} bdef
/a {_D /t {dup p _A _s P _A _S _L} def} bdef
/o {_D /t {pop _L} def} bdef
/T {grestore} bdef
% group construction operators
/u {} bdef
/U {} bdef
%
%      start Parrot procedure
% 
%
/scaleFactor exch def
1 setgray % background color
%clippath fill				% for background
scaleFactor dup scale
100 125 translate			% lower left
1 g 0 G 0 i 0 J 0 j 0.28 w 10 M []0 d
%%Note:
0 .57 .44 0 k
-92.541 12.783 m
-85.603 6.711 -71.661 -6.298 -61.581 -8.818 c  -51.501 -11.338 -37.101 -16.378 -28.461 -27.178 c
-19.82 -37.978 -12.98 -37.978 -10.46 -40.138 c -7.94 -42.298 1.06 -54.898 4.3 -59.218 c
7.54 -63.538 23.74 -75.779 30.58 -79.019 c     37.42 -82.259 57.581 -96.299 60.821 -101.339 c
64.061 -106.379 58.661 -119.699 52.9 -116.459 c 47.14 -113.219 35.98 -100.259 30.94 -97.379 c
25.9 -94.499 14.74 -84.779 12.58 -81.179 c   10.42 -77.579 5.02 -76.859 2.86 -75.419 c
0.7 -73.979 -11.18 -66.778 -14.06 -56.698 c -16.94 -46.618 -33.141 -40.858 -34.941 -39.058 c
-36.741 -37.258 -39.981 -34.738 -41.781 -32.218 c -43.581 -29.698 -57.261 -25.738 -61.581 -23.938 c
-65.901 -22.138 -74.458 -20.242 -89.301 -7.378 c -94.701 -2.698 -100.822 3.782 -101.542 4.862 c
-102.262 5.943 -98.301 17.823 -92.541 12.783 c
b
0 .77 .64 0 k %0.8 g
0.18 w
-43.941 -19.978 m
-43.581 -21.958 -42.501 -22.138 -43.581 -23.398 c -44.661 -24.658 -46.281 -24.118 -47.541 -25.198 c
-48.801 -26.278 -51.861 -28.798 -46.821 -31.678 c -41.781 -34.558 -41.961 -32.398 Y
-42.861 -31.498 -41.293 -32.772 -43.581 -31.138 c -44.841 -30.238 -48.261 -28.618 -45.381 -27.898 c
-42.501 -27.178 -42.321 -25.558 -40.341 -26.098 c -38.361 -26.638 -38.721 -26.998 y
-37.461 -29.878 -36.741 -28.978 v
-36.021 -28.078 -35.121 -23.758 -37.821 -22.678 c -40.521 -21.598 -43.941 -19.978 Y
b
0 0 0 0 k 0.36 w
-41.961 -32.398 m
-42.861 -31.498 -41.293 -32.772 -43.581 -31.138 c -44.219 -30.682 -48.404 -28.653 -45.381 -27.898 c
-42.501 -27.178 -42.321 -25.558 -40.341 -26.098 c -38.361 -26.638 -38.721 -26.998 y
-37.461 -29.878 -36.741 -28.978 v
S
0 .65 .4 0 k
0.036 w
15.35 -117.003 m
15.225 -64.967 1.185 -31.126 -12.234 -11.335 C 
-12.414 -52.736 -9.435 -84.227 10.349 -111.753 c 14.037 -116.884 15.114 -118.785 15.35 -117.003 C
b
0 0 .7 .8 k
8.843 -122.944 m
8.718 -70.908 -5.322 -37.068 -18.74 -17.278 C
-18.92 -58.678 -15.942 -90.169 3.842 -117.695 c
7.531 -122.826 8.607 -124.726 8.843 -122.944 C
b
0 0 .8 1 k
0.108 w
-17.66 -8.638 m
-18.74 -36.358 -15.32 -46.618 -15.68 -47.518 C
-14.24 -44.638 -14.06 -43.918 Y
-13.88 -47.711 -14.992 -50.927 -14.78 -52.198 C
-13.52 -51.298 -13.34 -51.118 y
-14.42 -55.078 -14.06 -57.238 V
-13.16 -56.158 -12.8 -54.538 -12.98 -56.338 c
-13.16 -58.138 -13.34 -61.378 -11.72 -68.758 C
-11.18 -68.038 -10.64 -67.678 y
-11.18 -71.458 L
-10.64 -73.799 -7.22 -89.279 -5.06 -92.699 C
-4.7 -91.259 -4.16 -90.899 y
-4.7 -93.239 -4.16 -95.039 v
-3.62 -96.839 2.68 -111.419 5.38 -114.659 C
5.38 -112.679 5.74 -112.679 y
6.64 -116.279 L
7.54 -117.719 13.12 -125.459 13.66 -125.819 C
14.02 -120.779 13.84 -113.939 13.48 -113.039 C
12.58 -112.139 11.86 -111.239 y
13.12 -111.599 L
13.3 -109.619 13.66 -101.519 12.22 -97.739 C
10.6 -96.299 9.7 -95.399 y
11.86 -95.579 L
11.5 -93.959 10.96 -84.239 10.06 -82.979 C
9.34 -82.799 5.92 -79.379 y
9.88 -81.359 L
9.34 -78.839 6.82 -67.138 6.28 -66.598 C
5.02 -66.058 -0.2 -60.658 y
4.48 -61.558 5.56 -63.178 V
4.48 -60.298 2.86 -47.878 -0.2 -44.638 C
-1.46 -44.098 -5.24 -40.498 Y
-3.08 -41.218 -1.82 -40.498 -1.1 -41.758 C
-2 -39.598 -6.5 -26.638 -7.94 -25.378 C
-10.64 -23.938 -11.18 -22.858 y
-9.38 -22.678 L
-10.28 -20.698 -17.3 -8.098 -17.66 -8.638 C
f
0 g
0.036 w
-17.248 -8.026 m
-16.168 -13.786 5.792 -112.428 12.273 -119.628 c
S
-15.536 -18.995 m
-16.849 -20.422 -17.214 -19.506 -17.608 -23.686 c
S
-14.448 -21.268 m
-15.76 -22.694 -15.869 -24.92 -17.068 -29.086 C
S
-14.051 -26.266 m
-15.363 -27.693 -15.149 -30.14 -16.348 -34.306 C
S
-12.652 -29.189 m
-13.964 -30.615 -15.135 -33.171 -16.333 -37.338 C
S
-13.411 -35.938 m
-15.824 -38.561 -13.988 -36.805 -15.808 -43.126 C
S
-11.348 -37.745 m
-12.661 -39.172 -13.832 -41.728 -15.031 -45.895 C
S
-12.602 -45.13 m
-13.915 -46.558 -13.222 -46.502 -14.42 -50.668 C
S
-10.329 -44.042 m
-11.642 -45.469 -12.503 -47.042 -13.7 -51.208 C
S
-9.748 -47.756 m
-11.061 -49.183 -12.232 -51.739 -13.431 -55.905 C
S
-10.664 -54.181 m
-11.976 -55.608 -11.549 -57.141 -12.748 -61.307 C
S
-7.458 -55.041 m
-8.771 -56.467 -9.941 -59.024 -11.14 -63.19 C
S
-7.348 -61.487 m
-8.66 -62.914 -9.749 -65.961 -10.948 -70.127 C
S
-5.675 -63.767 m
-6.988 -65.193 -8.159 -67.75 -9.357 -71.915 C
S
-6.448 -71.321 m
-7.761 -72.748 -7.769 -73.701 -8.968 -77.867 C
S
-3.851 -70.078 m
-5.163 -71.505 -6.334 -74.061 -7.532 -78.227 C
S
-3.608 -74.751 m
-4.921 -76.178 -6.092 -78.735 -7.291 -82.9 C
S
-2.109 -81.218 m
-3.422 -82.644 -4.592 -85.201 -5.791 -89.367 C
S
-0.416 -81.512 m
-1.728 -82.939 -2.9 -85.495 -4.098 -89.661 C
S
-0.328 -85.967 m
-1.64 -87.394 -2.549 -89.541 -3.748 -93.707 C
S
1.036 -88.635 m
-0.276 -90.062 -1.447 -92.618 -2.645 -96.784 C
S
2.472 -91.501 m
1.159 -92.927 -0.012 -95.483 -1.21 -99.65 C
S
5.973 -103.517 m
4.66 -104.944 4.166 -105.58 2.968 -109.746 C
S
-13.288 -22.066 m
-11.488 -22.786 -9.328 -24.586 -6.448 -27.826 C
S
-13.288 -24.586 m
-11.488 -25.306 -9.328 -27.106 -6.448 -30.346 C
S
-11.488 -29.266 m
-9.688 -29.986 -7.528 -31.786 -4.648 -35.026 C
S
-11.488 -32.506 m
-9.688 -33.226 -7.528 -35.026 -4.648 -38.266 C
S
-7.888 -38.266 m
-4.349 -39.682 -5.185 -39.371 -1.048 -44.026 C
S
-8.968 -40.786 m
-7.168 -41.506 -5.008 -43.306 -2.128 -46.546 C
S
-4.648 -46.907 m
-2.848 -47.627 -0.688 -49.427 2.192 -52.667 C
S
-7.168 -46.907 m
-5.368 -47.627 -3.208 -49.427 -0.328 -52.667 C
S
-6.088 -50.507 m
-4.288 -51.227 -2.128 -53.027 0.752 -56.267 C
S
-2.488 -55.907 m
-0.688 -56.627 1.472 -58.427 4.352 -61.667 C
S
-5.008 -58.067 m
-3.208 -58.787 -1.048 -60.587 1.832 -63.827 C
S
0.032 -64.907 m
1.832 -65.627 3.992 -67.427 6.873 -70.667 C
S
-2.848 -66.707 m
-1.048 -67.427 1.112 -69.227 3.992 -72.467 C
S
1.112 -73.187 m
2.912 -73.907 5.072 -75.707 7.953 -78.947 C
S
-1.768 -73.187 m
0.032 -73.907 2.192 -75.707 5.072 -78.947 C
S
0.032 -77.507 m
1.832 -78.227 3.992 -80.027 6.873 -83.267 C
S
1.472 -83.987 m
3.272 -84.707 5.432 -86.507 8.313 -89.747 C
S
3.632 -88.667 m
5.432 -89.387 7.593 -91.187 10.473 -94.427 C
S
2.823 -89.657 m
4.623 -90.377 6.783 -92.177 9.663 -95.417 C
S
5.432 -93.707 m
7.232 -94.427 9.393 -96.227 12.273 -99.467 C
S
4.712 -98.028 m
6.512 -98.747 8.673 -100.548 11.553 -103.788 C
S
6.873 -105.228 m
8.673 -105.948 9.393 -106.308 12.273 -109.548 C
S
-8.517 -38.806 m
-4.98 -40.222 -5.508 -39.713 -1.371 -44.368 C
S
0 .81 0 .46 k
0.108 w
-8.427 -24.387 m
-9.183 -43.792 -6.788 -50.974 -7.04 -51.604 C
-6.032 -49.588 -5.907 -49.084 Y
-5.78 -51.73 -6.536 -54.124 -6.411 -54.88 C
-5.528 -54.25 -5.403 -54.124 y
-6.159 -56.896 -5.907 -58.408 V
-5.276 -57.652 -5.024 -56.518 -5.151 -57.778 c
-5.276 -59.038 -5.403 -61.306 -4.268 -66.471 C
-3.891 -65.967 -3.512 -65.715 y
-3.891 -68.362 L
-3.512 -70 -1.119 -80.836 0.393 -83.23 C
0.645 -82.222 1.024 -81.97 y
0.645 -83.608 1.024 -84.868 v
1.401 -86.128 5.811 -96.334 7.701 -98.602 C
7.701 -97.216 7.953 -97.216 y
8.583 -99.736 L
9.213 -100.744 13.12 -106.162 13.497 -106.414 C
13.749 -102.886 13.624 -98.098 13.372 -97.468 C
12.741 -96.838 12.237 -96.208 y
13.12 -96.46 L
13.245 -95.074 13.497 -89.404 12.489 -86.758 C
11.356 -85.75 10.725 -85.12 y
12.237 -85.246 L
11.985 -84.112 11.608 -77.308 10.977 -76.426 C
10.473 -76.3 8.079 -73.906 y
10.852 -75.292 L
10.473 -73.528 8.709 -65.338 8.331 -64.959 C
7.449 -64.582 3.796 -60.802 y
9.121 -63.432 9.877 -64.566 V
9.021 -61.55 5.937 -51.856 3.796 -49.588 C
2.913 -49.21 0.268 -46.69 Y
1.78 -47.194 2.661 -46.69 3.165 -47.572 C
2.536 -46.06 -0.615 -36.988 -1.623 -36.106 C
-3.512 -35.098 -3.891 -34.342 y
-2.631 -34.215 L
-3.26 -32.83 -8.175 -24.01 -8.427 -24.387 C
f
0 .94 0 .47 k
-8.42 -25.656 m
-8.004 -45.07 -5.181 -52.095 -5.395 -52.739 C
-4.511 -50.666 -4.415 -50.155 Y
-4.129 -52.799 -4.771 -55.092 -4.569 -55.971 C
-3.727 -55.289 -3.608 -55.155 y
-4.196 -57.968 -3.853 -59.463 V
-3.27 -58.67 -3.087 -57.523 -3.136 -58.788 c
-3.186 -60.053 -3.176 -62.325 -1.732 -67.413 C
-1.385 -66.887 -1.023 -66.613 y
-1.24 -69.277 L
-0.764 -70.889 2.279 -81.561 3.932 -83.86 C
4.123 -82.839 4.485 -82.564 y
4.206 -84.222 4.66 -85.457 v
5.113 -86.691 10.13 -96.614 12.154 -98.764 C
12.07 -97.38 12.321 -97.365 y
13.102 -99.843 L
13.793 -100.811 18.017 -105.983 18.41 -106.212 C
18.449 -102.676 18.034 -97.903 17.745 -97.29 C
17.078 -96.699 16.537 -96.1 y
17.433 -96.299 L
17.475 -94.907 17.385 -89.233 16.219 -86.652 C
15.026 -85.715 14.359 -85.123 y
15.877 -85.158 L
15.557 -84.041 14.769 -77.272 14.087 -76.43 C
13.577 -76.335 11.042 -74.09 y
13.893 -75.306 L
13.409 -73.567 11.154 -65.499 10.754 -65.144 C
9.851 -64.82 5.976 -61.267 y
9.284 -61.699 10.107 -62.785 V
9.231 -60.819 7.575 -52.208 5.3 -50.074 C
4.396 -49.75 1.604 -47.393 Y
3.143 -47.806 3.993 -47.249 4.549 -48.099 C
3.829 -46.628 0.138 -37.762 -0.921 -36.942 C
-2.868 -36.05 -3.292 -35.318 y
-2.042 -35.117 L
-2.754 -33.771 -8.191 -25.263 -8.42 -25.656 C
f
0 g
0.036 w
-8.156 -25.211 m
-7.159 -29.19 12.349 -97.188 17.181 -101.944 c
S
-6.498 -32.803 m
-7.355 -33.855 -7.648 -33.232 -7.747 -36.169 c
S
-5.642 -34.346 m
-6.499 -35.398 -6.48 -36.958 -7.142 -39.919 C
S
-5.152 -37.822 m
-6.01 -38.874 -5.757 -40.574 -6.419 -43.536 C
S
-4.052 -39.804 m
-4.908 -40.857 -5.619 -42.692 -6.28 -45.654 C
S
-4.298 -44.553 m
-5.872 -46.487 -4.665 -45.183 -5.669 -49.676 C
S
-2.78 -45.728 m
-3.637 -46.78 -4.348 -48.616 -5.009 -51.577 C
S
-3.345 -50.942 m
-4.202 -51.994 -3.72 -51.926 -4.382 -54.887 C
S
-1.803 -50.085 m
-2.66 -51.138 -3.194 -52.272 -3.856 -55.234 C
S
-1.24 -52.655 m
-2.097 -53.707 -2.808 -55.543 -3.469 -58.504 C
S
-1.608 -57.183 m
-2.465 -58.235 -2.102 -59.289 -2.764 -62.251 C
S
0.668 -57.649 m
-0.189 -58.701 -0.9 -60.537 -1.561 -63.498 C
S
1.017 -62.148 m
0.16 -63.2 -0.472 -65.375 -1.134 -68.337 C
S
2.282 -63.671 m
1.425 -64.723 0.715 -66.559 0.053 -69.52 C
S
2.06 -68.982 m
1.204 -70.034 1.238 -70.7 0.576 -73.662 C
S
3.823 -68.003 m
2.966 -69.055 2.256 -70.891 1.594 -73.852 C
S
4.189 -71.259 m
3.332 -72.311 2.622 -74.147 1.96 -77.108 C
S
5.51 -75.714 m
4.653 -76.766 3.943 -78.601 3.281 -81.563 C
S
6.705 -75.847 m
5.848 -76.9 5.138 -78.735 4.477 -81.697 C
S
6.956 -78.957 m
6.099 -80.009 5.554 -81.548 4.892 -84.509 C
S
8.021 -80.763 m
7.165 -81.816 6.454 -83.651 5.792 -86.613 C
S
9.145 -82.705 m
8.288 -83.757 7.577 -85.593 6.917 -88.555 C
S
12.098 -90.954 m
11.241 -92.006 10.923 -92.471 10.261 -95.433 C
S
-4.796 -34.854 m
-3.508 -35.282 -1.924 -36.448 0.226 -38.59 C
S
-4.691 -36.615 m
-3.403 -37.042 -1.817 -38.209 0.332 -40.351 C
S
-3.236 -39.81 m
-1.948 -40.237 -0.362 -41.403 1.787 -43.546 C
S
-3.099 -42.074 m
-1.811 -42.5 -0.225 -43.667 1.924 -45.81 C
S
-0.34 -45.947 m
2.192 -46.786 1.595 -46.604 4.682 -49.683 C
S
-0.988 -47.753 m
0.3 -48.18 1.885 -49.347 4.034 -51.489 C
S
2.288 -51.847 m
3.576 -52.274 5.162 -53.44 7.311 -55.583 C
S
0.528 -51.953 m
1.816 -52.38 3.401 -53.547 5.55 -55.689 C
S
1.434 -54.423 m
2.722 -54.85 4.308 -56.016 6.456 -58.159 C
S
4.177 -58.044 m
5.465 -58.471 7.051 -59.638 9.2 -61.78 C
S
2.508 -59.659 m
3.796 -60.087 5.381 -61.254 7.53 -63.396 C
S
6.318 -64.227 m
7.606 -64.653 9.192 -65.82 11.341 -67.963 C
S
4.382 -65.606 m
5.67 -66.033 7.255 -67.199 9.405 -69.342 C
S
7.422 -69.967 m
8.71 -70.393 10.296 -71.56 12.445 -73.703 C
S
5.41 -70.088 m
6.698 -70.515 8.284 -71.681 10.433 -73.823 C
S
6.85 -73.031 m
8.138 -73.458 9.724 -74.624 11.873 -76.767 C
S
8.129 -77.498 m
9.418 -77.924 11.003 -79.091 13.152 -81.233 C
S
9.837 -80.676 m
11.125 -81.103 12.709 -82.27 14.859 -84.412 C
S
9.313 -81.402 m
10.601 -81.83 12.185 -82.996 14.335 -85.139 C
S
11.307 -84.122 m
12.595 -84.549 14.181 -85.715 16.329 -87.858 C
S
10.986 -87.171 m
12.274 -87.599 13.86 -88.765 16.009 -90.907 C
S
12.799 -92.111 m
14.088 -92.538 14.605 -92.759 16.755 -94.901 C
S
-0.757 -46.35 m
1.775 -47.19 1.383 -46.856 4.471 -49.935 C
S
0 1 0 0 k
0.108 w
-15.238 -23.867 m
-17.236 -43.183 -15.308 -50.503 -15.6 -51.116 C
-14.464 -49.169 -14.306 -48.675 Y
-14.35 -51.323 -15.258 -53.663 -15.181 -54.426 C
-14.26 -53.854 -14.127 -53.736 y
-15.059 -56.454 -14.904 -57.979 V
-14.227 -57.265 -13.903 -56.149 -14.109 -57.399 c
-14.316 -58.648 -14.587 -60.903 -13.787 -66.131 C
-13.377 -65.653 -12.984 -65.426 y
-13.531 -68.042 L
-13.258 -69.701 -11.564 -80.667 -10.208 -83.154 C
-9.892 -82.164 -9.499 -81.937 y
-9.981 -83.547 -9.685 -84.829 v
-9.388 -86.111 -5.642 -96.579 -3.901 -98.963 C
-3.812 -97.579 -3.561 -97.596 y
-3.094 -100.152 L
-2.53 -101.197 1.021 -106.855 1.382 -107.131 C
1.86 -103.626 2.041 -98.84 1.83 -98.195 C
1.241 -97.526 0.779 -96.865 y
1.643 -97.173 L
1.857 -95.798 2.472 -90.155 1.636 -87.451 C
0.569 -86.371 -0.019 -85.703 y
1.482 -85.925 L
1.303 -84.778 1.362 -77.963 0.79 -77.043 C
0.295 -76.884 -1.941 -74.342 y
0.737 -75.903 L
0.472 -74.119 -0.763 -65.832 -1.116 -65.431 C
-1.972 -64.997 -5.376 -60.99 y
-2.147 -61.829 -1.465 -63.009 V
-2.09 -60.948 -2.664 -52.199 -4.656 -49.799 C
-5.512 -49.366 -7.992 -46.681 Y
-6.515 -47.281 -5.603 -46.835 -5.156 -47.747 C
-5.688 -46.198 -8.249 -36.942 -9.2 -35.998 C
-11.02 -34.87 -11.349 -34.091 y
-10.084 -34.046 L
-10.624 -32.623 -14.962 -23.506 -15.238 -23.867 C
f
0 1 .3 .3 k
-15.165 -24.696 m
-18.47 -43.832 -17.042 -51.267 -17.375 -51.858 C
-16.11 -49.992 -15.919 -49.509 Y
-16.144 -52.159 -17.212 -54.287 -17.182 -55.188 C
-16.224 -54.68 -16.083 -54.571 y
-17.197 -57.219 -17.147 -58.752 V
-16.423 -58.086 -16.024 -56.995 -16.314 -58.227 c
-16.605 -59.459 -17.028 -61.691 -16.584 -66.961 C
-16.144 -66.511 -15.736 -66.311 y
-16.459 -68.884 L
-16.3 -70.558 -15.353 -81.615 -14.17 -84.187 C
-13.788 -83.221 -13.38 -83.021 y
-13.97 -84.595 -13.761 -85.894 v
-13.552 -87.192 -10.524 -97.891 -8.95 -100.388 C
-8.768 -99.014 -8.517 -99.047 y
-8.224 -101.628 L
-7.733 -102.71 -4.574 -108.596 -4.232 -108.895 C
-3.518 -105.431 -3.013 -100.668 -3.18 -100.01 C
-3.721 -99.303 -4.138 -98.611 y
-3.297 -98.978 L
-2.989 -97.62 -1.993 -92.033 -2.644 -89.277 C
-3.636 -88.128 -4.176 -87.421 y
-2.695 -87.745 L
-2.795 -86.587 -2.274 -79.793 -2.782 -78.836 C
-3.265 -78.644 -5.323 -75.956 y
-2.758 -77.695 L
-2.9 -75.897 -3.571 -67.546 -3.896 -67.122 C
-4.72 -66.631 -7.844 -62.403 y
-4.68 -63.458 -4.08 -64.682 V
-4.564 -62.584 -4.544 -53.816 -6.368 -51.286 C
-7.192 -50.795 -9.484 -47.949 Y
-8.051 -48.647 -7.111 -48.264 -6.727 -49.205 C
-7.152 -47.623 -9.08 -38.215 -9.964 -37.208 C
-11.704 -35.96 -11.98 -35.161 y
-10.714 -35.202 L
-11.156 -33.745 -14.866 -24.354 -15.165 -24.696 C
f
0 g
0.036 w
-14.822 -24.31 m
-14.604 -28.407 -8.457 -98.878 -4.624 -104.471 c
S
-14.646 -32.079 m
-15.688 -32.948 -15.857 -32.279 -16.515 -35.144 c
S
-14.1 -33.757 m
-15.143 -34.626 -15.423 -36.16 -16.638 -38.941 C
S
-14.285 -37.262 m
-15.327 -38.13 -15.404 -39.849 -16.62 -42.63 C
S
-13.584 -39.418 m
-14.626 -40.287 -15.674 -41.954 -16.889 -44.734 C
S
-14.732 -44.032 m
-16.648 -45.63 -15.213 -44.58 -17.058 -48.799 C
S
-13.468 -45.476 m
-14.51 -46.345 -15.558 -48.01 -16.774 -50.791 C
S
-15.019 -50.485 m
-16.061 -51.354 -15.576 -51.379 -16.791 -54.159 C
S
-13.341 -49.939 m
-14.384 -50.809 -15.125 -51.82 -16.341 -54.601 C
S
-13.28 -52.57 m
-14.323 -53.439 -15.371 -55.105 -16.587 -57.885 C
S
-14.508 -56.944 m
-15.55 -57.813 -15.395 -58.916 -16.61 -61.696 C
S
-12.363 -57.836 m
-13.404 -58.705 -14.453 -60.371 -15.668 -63.151 C
S
-12.88 -62.319 m
-13.922 -63.188 -14.959 -65.203 -16.174 -67.983 C
S
-11.929 -64.055 m
-12.972 -64.924 -14.02 -66.59 -15.236 -69.37 C
S
-13.163 -69.226 m
-14.204 -70.095 -14.298 -70.755 -15.514 -73.535 C
S
-11.245 -68.603 m
-12.288 -69.471 -13.336 -71.138 -14.552 -73.918 C
S
-11.508 -71.868 m
-12.551 -72.737 -13.599 -74.403 -14.814 -77.183 C
S
-11.064 -76.493 m
-12.106 -77.363 -13.154 -79.028 -14.369 -81.808 C
S
-9.916 -76.853 m
-10.959 -77.722 -12.007 -79.388 -13.222 -82.168 C
S
-10.265 -79.953 m
-11.308 -80.822 -12.136 -82.228 -13.352 -85.008 C
S
-9.564 -81.93 m
-10.607 -82.799 -11.655 -84.464 -12.871 -87.245 C
S
-8.832 -84.051 m
-9.875 -84.919 -10.924 -86.585 -12.139 -89.366 C
S
-7.511 -92.711 m
-8.553 -93.58 -8.955 -93.976 -10.17 -96.756 C
S
-13.368 -34.418 m
-12.186 -35.083 -10.852 -36.531 -9.153 -39.045 C
S
-13.6 -36.166 m
-12.418 -36.832 -11.085 -38.28 -9.385 -40.794 C
S
-12.783 -39.58 m
-11.6 -40.246 -10.268 -41.694 -8.568 -44.207 C
S
-13.081 -41.828 m
-11.899 -42.494 -10.566 -43.942 -8.866 -46.455 C
S
-11.115 -46.157 m
-8.79 -47.465 -9.341 -47.173 -6.899 -50.784 C
S
-12.096 -47.806 m
-10.913 -48.471 -9.58 -49.919 -7.881 -52.434 C
S
-9.663 -52.451 m
-8.48 -53.116 -7.147 -54.564 -5.448 -57.078 C
S
-11.411 -52.219 m
-10.228 -52.884 -8.896 -54.332 -7.196 -56.846 C
S
-10.993 -54.816 m
-9.811 -55.482 -8.478 -56.93 -6.778 -59.443 C
S
-8.993 -58.895 m
-7.811 -59.56 -6.477 -61.009 -4.778 -63.523 C
S
-10.941 -60.162 m
-9.758 -60.827 -8.425 -62.275 -6.726 -64.789 C
S
-8.074 -65.372 m
-6.892 -66.038 -5.559 -67.486 -3.859 -70 C
S
-10.239 -66.356 m
-9.056 -67.022 -7.723 -68.47 -6.023 -70.983 C
S
-8.088 -71.217 m
-6.905 -71.883 -5.572 -73.331 -3.872 -75.845 C
S
-10.086 -70.952 m
-8.904 -71.618 -7.571 -73.066 -5.871 -75.579 C
S
-9.236 -74.115 m
-8.053 -74.781 -6.72 -76.229 -5.02 -78.743 C
S
-8.833 -78.745 m
-7.651 -79.411 -6.318 -80.859 -4.618 -83.372 C
S
-7.766 -82.191 m
-6.584 -82.857 -5.25 -84.305 -3.551 -86.819 C
S
-8.42 -82.803 m
-7.237 -83.469 -5.904 -84.917 -4.204 -87.431 C
S
-6.981 -85.855 m
-5.799 -86.52 -4.466 -87.968 -2.766 -90.482 C
S
-7.88 -88.786 m
-6.696 -89.451 -5.364 -90.899 -3.664 -93.413 C
S
-7.044 -93.981 m
-5.861 -94.647 -5.395 -94.963 -3.695 -97.476 C
S
-11.601 -46.474 m
-9.277 -47.782 -9.597 -47.379 -7.155 -50.991 C
S
0 1 .5 .5 k
-18.56 -46.618 m
-20.016 -44.434 -17.571 -35.638 -22.16 -28.978 c
-26.751 -22.318 -35.661 -23.667 -37.551 -24.298 c
-39.441 -24.927 -41.061 -22.767 -41.601 -22.047 C
-43.131 -21.778 -44.211 -20.607 -44.661 -19.707 C
-46.551 -18.807 -46.641 -18.538 -48.351 -16.198 c
-50.061 -13.858 -50.421 -16.378 -51.141 -16.918 C
-52.851 -15.838 -52.491 -14.127 -52.671 -13.587 c
-52.851 -13.047 -53.031 -10.887 -54.021 -10.078 c
-57.144 -7.522 -56.721 -6.207 -56.991 -5.487 c
-57.261 -4.767 -57.261 -4.227 -57.801 -3.327 c
-59.885 0.146 -59.061 0.902 -59.151 1.442 c
-59.241 1.982 -59.331 1.982 -59.691 1.802 C
-59.961 2.162 -60.051 0.633 -60.951 3.873 c
-61.851 7.113 -60.321 8.013 -60.231 9.093 c
-59.797 14.307 -61.851 10.803 -62.841 9.183 C
-64.461 17.733 -61.311 21.153 -61.041 22.323 c
-60.771 23.493 -59.601 25.203 -59.691 26.913 c
-59.781 28.623 -58.431 30.963 y
-56.991 31.863 -56.901 33.573 v
-56.811 35.283 -58.701 35.193 -60.411 35.103 C
-60.411 41.133 -58.791 43.293 -58.071 44.374 c
-57.351 45.454 -57.891 45.454 -57.981 46.443 C
-57.081 47.523 -57.261 47.883 v
-57.801 48.963 -56.901 49.143 -56.181 50.043 c
-55.461 50.943 -54.201 52.923 -54.021 55.083 C
-56.361 54.183 -54.741 57.964 -52.761 59.404 c
-40.696 68.179 -34.941 68.764 y
-33.681 68.404 -31.341 68.944 v
-25.461 70.301 -21.98 68.584 -21.26 68.404 c
-20.54 68.224 -20.54 67.504 -16.76 67.324 c
-12.98 67.144 -12.8 63.904 -13.7 61.204 C
-22.16 49.323 -23.6 45.723 v
-25.04 42.123 -23.42 37.983 -22.7 36.183 C
-16.22 34.743 -16.94 29.523 -16.22 28.623 c
-15.5 27.723 -15.86 24.843 -11.54 20.883 c
-7.22 16.923 -5.96 5.043 -5.6 1.442 C
-2 -6.478 -3.98 -13.318 -4.16 -14.038 c
-4.34 -14.758 -5.96 -17.818 -3.98 -20.338 c
1.96 -27.898 0.16 -34.558 -1.28 -38.338 C
-3.44 -53.818 -9.56 -47.698 V
-15.68 -50.938 -18.56 -46.618 v
b
0 .57 .44 0 k
0.28 w
-34.941 -39.058 m
-32.988 -40.69 -16.94 -46.618 -14.06 -56.698 c
-11.18 -66.778 0.7 -73.979 2.86 -75.419 c
5.02 -76.859 10.42 -77.579 12.58 -81.179 c
14.74 -84.779 25.9 -94.499 30.94 -97.379 c
35.98 -100.259 47.14 -113.219 52.9 -116.459 c
58.661 -119.699 64.061 -106.379 60.821 -101.339 c
57.581 -96.299 37.42 -82.259 30.58 -79.019 c
23.74 -75.779 7.54 -63.538 4.3 -59.218 c
1.06 -54.898 -7.94 -42.298 -10.46 -40.138 c
-12.98 -37.978 -21.62 -35.098 -30.261 -24.298 c
-45.33 -30.369 -34.941 -39.058 v
b
0 .77 .64 0 k
0.18 w
-29.181 -21.238 m
-31.161 -20.158 -34.941 -19.438 -36.201 -23.398 c
-37.461 -27.358 -38.721 -26.818 -38.721 -26.998 c
-38.721 -27.178 -39.621 -27.718 -38.901 -29.878 c
-38.181 -32.038 -38.721 -34.378 y
-37.821 -37.078 -37.641 -38.158 v
-37.461 -39.238 -35.121 -42.118 -33.501 -42.838 c
-31.881 -43.558 -31.161 -42.118 -31.521 -41.398 c
-31.881 -40.678 -35.121 -39.418 -35.121 -37.258 c
-35.121 -35.098 -36.381 -33.298 -35.301 -31.498 c
-34.221 -29.698 -34.761 -28.078 -34.401 -27.358 c
-34.041 -26.638 -32.241 -25.018 -32.061 -24.478 C
-30.261 -25.918 -28.731 -26.998 -26.751 -27.898 c
-26.206 -28.145 -22.796 -31.58 -22.791 -31.587 c
-21.351 -33.928 -20.54 -33.478 Y
-20.344 -31.802 -19.538 -30.503 -23.42 -27.267 c
-26.661 -24.567 -29.181 -21.238 y
b
0 g
0.36 w
-31.521 -41.398 m
-31.881 -40.678 -35.121 -39.418 -35.121 -37.258 c
-35.121 -35.098 -36.381 -33.298 -35.301 -31.498 c
-34.221 -29.698 -34.761 -28.078 -34.401 -27.358 c
-34.041 -26.638 -32.241 -25.018 -32.061 -24.478 C
-30.261 -25.918 -28.821 -27.538 -26.841 -28.438 c
-27.04 -28.347 -22.382 -32.038 -22.88 -31.227 c
S
1 g
0.036 w
-18.56 60.664 m
-23.24 57.423 -27.099 54.02 -27.921 52.923 c
-28.461 52.203 -29.001 52.203 -29.721 51.843 c
-30.441 51.483 -30.981 50.763 -29.721 50.583 c
-28.461 50.403 -29.001 49.683 -29.001 48.963 c
-29.001 48.243 -28.281 47.523 -27.201 47.523 c
-26.121 47.523 -26.841 46.803 -26.481 46.083 C
-26.865 44.547 -21.356 58.241 -18.56 60.664 C
f
0 g %***
0.36 w
-21.681 55.163 m
-25.19 53.274 -24.235 40.101 -14.871 47.254 c
-8.391 52.203 -21.98 55.174 y
F
0 .8 .6 .4 k
0.072 w
-14.6 63.184 m
-9.56 56.343 -8.48 46.263 -15.68 40.863 C
-14.96 45.183 -15.32 48.423 -17.12 49.863 c
-18.92 51.303 -21.8 53.643 -21.62 55.443 c
-21.44 57.243 -18.92 61.924 -14.6 63.184 C
b
1 j
-21.62 55.243 m
-26.121 52.723 -31.341 35.823 -15.86 46.623 C
-17.3 47.163 -18.02 47.703 -18.02 48.243 c
-18.02 48.783 -18.74 50.763 -20.72 50.763 c
-22.7 50.763 -23.06 53.983 -21.62 55.243 C
b
0 g
0 j
0.036 w
-13.52 61.564 m
-13.071 63.814 -11.811 66.784 -17.211 67.774 C
-17.12 67.324 -17.311 67.349 Y
-18.12 68.159 -17.931 68.224 -19.011 68.404 C
-18.471 67.774 -18.56 67.684 -18.471 67.414 C
-19.551 67.594 -22.7 68.404 -26.121 68.134 c
-29.541 67.864 -33.16 66.199 -36.561 63.364 c
-37.641 62.464 -37.551 62.464 -37.821 61.654 C
-39.531 61.023 -39.441 61.204 -41.331 61.204 c
-43.221 61.204 -49.161 61.204 -53.841 55.174 C
-48.891 60.664 -43.761 59.674 v
-38.631 58.683 -37.011 60.394 -36.111 59.404 c
-35.211 58.414 -34.851 58.503 -34.581 57.243 C
-33.861 57.964 -33.681 59.134 -35.301 61.654 C
-34.581 62.554 -31.071 67.774 -26.661 66.694 c
-22.251 65.614 -20.36 64.084 -21.891 61.294 c
-23.42 58.503 -23.071 58.733 -22.351 57.833 C
-20.611 59.164 -16.76 62.374 -15.771 62.554 c
-14.78 62.734 -14.151 62.734 -13.52 61.564 C
f
1 g
-22.071 58.054 m
-22.7 58.954 -22.971 59.944 -22.34 60.754 c
-22.053 61.124 -19.358 64.044 -21.8 64.984 c
-24.14 65.884 -28.101 68.854 -32.421 65.614 c
-36.741 62.374 -37.011 61.654 -36.741 61.114 c
-36.651 60.304 -35.841 60.484 V
-35.751 59.854 -35.481 59.404 -34.941 59.404 C
-34.851 58.774 -35.031 58.234 -34.221 58.054 C
-35.301 57.604 -36.291 55.263 -33.231 55.354 C
-33.501 53.374 -32.511 49.954 -30.441 51.303 c
-28.371 52.654 -22.071 58.054 y
f
0.95 g
-34.491 62.284 m
-30.531 58.503 -25.941 59.044 -25.311 58.863 C
-25.311 60.574 -24.771 64.174 -26.571 65.164 C
-25.311 65.074 -23.78 63.904 -23.78 61.924 C
-23.511 63.904 -24.5 65.614 Y
-22.251 64.264 -20.991 63.724 -22.611 61.023 c
-24.231 58.324 -23.594 58.663 -23.42 58.144 C
-24.231 57.334 -29.181 55.534 -31.971 57.604 c
-34.761 59.674 -34.491 62.284 Y
f
u
0 g
-29.271 61.025 m
-27.83 61.025 -26.662 62.193 -26.662 63.634 c
-26.662 65.075 -27.83 66.243 -29.271 66.243 c
-30.712 66.243 -31.88 65.075 -31.88 63.634 c
-31.88 62.193 -30.712 61.025 -29.271 61.025 c
f
-29.271 63.634 m
F
U
u
-29.271 63.634 m
-29.271 63.634 l
-29.271 63.634 l
-29.271 63.634 l
-29.271 63.634 l
f
-29.271 63.634 m
F
U
u
-29.091 63.184 m
-29.091 63.184 l
-29.091 63.184 l
-29.091 63.184 l
-29.091 63.184 l
f
-29.091 63.184 m
F
U
u
0.2 g
-29.284 61.142 m
-27.916 61.142 -26.806 62.252 -26.806 63.62 c
-26.806 64.989 -27.916 66.099 -29.284 66.099 c
-30.654 66.099 -31.763 64.989 -31.763 63.62 c
-31.763 62.252 -30.654 61.142 -29.284 61.142 c
f
-29.284 63.62 m
F
U
u
0 0 .6 1 k
-29.256 61.448 m
-28.092 61.448 -27.148 62.392 -27.148 63.555 c
-27.148 64.719 -28.092 65.662 -29.256 65.662 c
-30.42 65.662 -31.363 64.719 -31.363 63.555 c
-31.363 62.392 -30.42 61.448 -29.256 61.448 c
f
-29.256 63.555 m
F
U
1 g
-30.126 62.734 m
-30.081 63.319 -30.076 65.058 -28.506 63.948 c
-27.741 63.408 -28.056 62.959 -28.101 62.779 c
-28.146 62.599 -28.236 62.419 -27.831 62.688 c
-27.426 62.959 -27.151 65.01 -29.046 65.344 c
-29.811 65.479 -31.161 64.219 -30.936 62.959 c
-30.711 61.699 -30.126 62.734 y
f
u
0 g
-29.181 62.868 m
-28.882 62.868 -28.64 63.11 -28.64 63.408 c
-28.64 63.708 -28.882 63.95 -29.181 63.95 c
-29.48 63.95 -29.722 63.708 -29.722 63.408 c
-29.722 63.11 -29.48 62.868 -29.181 62.868 c
f
-29.181 63.408 m
F
U
1 G
0.072 w
-23.06 57.243 m
-22.978 57.984 -22.856 59.451 -22.062 60.051 c
S
-23.196 58.863 m
-22.88 59.539 -22.296 60.888 -21.351 61.204 c
S
-23.286 58.099 m
-22.695 58.551 -21.552 59.478 -20.568 59.32 c
S
-23.6 58.819 m
-23.182 59.435 -22.388 60.673 -21.404 60.832 c
S
-23.511 58.683 m
-22.92 59.136 -21.776 60.064 -20.793 59.905 c
S
-23.24 58.144 m
-22.822 58.759 -22.028 59.998 -21.044 60.158 c
S
-23.78 58.144 m
-23.362 58.759 -22.568 59.998 -21.584 60.158 c
S
-22.656 58.548 m
-22.573 59.289 -22.452 60.756 -21.656 61.356 c
S
-22.791 57.423 m
-22.476 58.099 -21.891 59.448 -20.946 59.764 c
S
-23.106 58.279 m
-22.791 58.954 -22.206 60.304 -21.26 60.619 c
S
-23.826 58.819 m
-23.235 59.271 -22.092 60.198 -21.108 60.04 c
S
-24.591 58.234 m
-23.918 58.553 -22.607 59.221 -21.678 58.861 c
S
-23.826 58.954 m
-23.153 59.273 -21.842 59.941 -20.913 59.581 c
S
-22.16 58.099 m
-22 58.826 -21.721 60.271 -20.867 60.783 c
S
u
0.7 G
-18.516 62.24 m
-18.094 62.24 -17.752 62.582 -17.752 63.004 c
-17.752 63.426 -18.094 63.768 -18.516 63.768 c
-18.938 63.768 -19.28 63.426 -19.28 63.004 c
-19.28 62.582 -18.938 62.24 -18.516 62.24 c
b
-18.516 63.004 m
B
U
0.8 g
0 G
-14.151 62.104 m
-14.592 62.645 -16.22 62.419 -16.266 61.068 c
-16.311 59.719 -15.244 59.403 -14.286 58.503 c
-13.566 57.828 -11.36 54.588 -10.911 52.519 C
-11.271 55.579 -11.946 59.404 -14.151 62.104 c
f
0 g
-22.248 58.003 m
-23.543 57.792 -24.756 56.954 -26.915 57.638 c
-27.858 58.349 -28.78 58.7 v
-29.898 59.126 -30.405 58.74 -31.368 58.999 c
-32.242 59.234 -34.192 60.275 -35.001 62.526 C
-34.84 61.318 -34.05 60.148 -33.252 59.609 c
-32.454 59.07 -31.21 58.508 -29.439 58.391 c
-28.714 58.344 -27.961 57.435 -27.472 57.155 c
-26.26 56.46 -24.222 56.309 -22.42 57.858 c
F
-22.7 57.648 m
-24.726 56.568 -26.076 55.803 -27.651 56.028 c
-29.226 56.254 -30.261 56.703 -30.756 57.108 c
-31.251 57.514 -32.511 58.728 -33.501 59.134 c
-34.491 59.539 -35.256 59.719 -35.796 60.168 C
-35.436 59.539 -34.131 59.179 -33.816 58.863 c
-33.501 58.548 -33.276 58.819 -32.016 57.334 c
-30.756 55.848 -26.391 54.588 -24.366 56.163 c
-22.34 57.739 -22.791 57.514 y
F
-22.16 58.054 m
-21.884 57.677 -22.611 58.728 -23.78 58.863 c
-24.951 58.999 -25.131 58.774 -26.391 59.268 c
-27.651 59.764 -27.876 60.619 -29.226 60.619 c
-30.576 60.619 -31.026 60.619 -31.566 61.114 c
-32.106 61.608 -32.286 62.644 -32.376 62.959 c
-32.466 63.274 -32.916 64.174 -33.816 64.039 C
-33.546 63.814 -32.916 63.768 -32.601 62.599 c
-32.286 61.428 -31.798 60.029 -29.721 60.348 c
-29.136 60.439 -28.821 60.484 -28.101 60.034 c
-27.381 59.583 -26.346 58.503 -24.636 58.639 c
-22.926 58.774 -22.198 58.105 -22.16 58.054 c
f
-22.371 58.139 m
-21.624 57.541 -22.892 58.76 -24.07 58.767 c
-25.248 58.771 -25.402 58.528 -26.708 58.883 c
-28.016 59.236 -28.333 60.061 -29.675 59.912 c
-31.017 59.764 -31.464 59.715 -32.055 60.148 c
-32.646 60.58 -32.939 61.59 -33.063 61.893 c
-33.187 62.196 -33.733 63.041 -34.612 62.808 C
-34.32 62.614 -33.688 62.639 -33.247 61.51 c
-32.805 60.382 -32.166 59.044 -30.137 59.59 c
-29.566 59.744 -29.257 59.823 -28.492 59.455 c
-27.707 59.077 -26.481 58.146 -24.896 58.449 c
-23.21 58.771 -22.42 58.179 -22.371 58.139 c
f
1 G
-15.031 62.992 m
-14.892 63.418 -14.596 64.249 -14.881 64.774 c
S
-15.304 62.62 m
-15.378 63.061 -15.5 63.936 -15.996 64.269 c
S
-14.872 62.808 m
-14.803 63.248 -14.644 64.117 -15.01 64.59 c
S
-14.966 62.784 m
-15.04 63.225 -15.162 64.1 -15.658 64.433 c
S
-15.305 62.659 m
-15.237 63.1 -15.079 63.968 -15.444 64.441 c
S
-15.798 62.527 m
-15.66 62.952 -15.364 63.784 -15.649 64.309 c
S
-15.309 62.773 m
-15.172 63.198 -14.875 64.029 -15.16 64.555 c
S
-14.772 62.715 m
-14.847 63.156 -14.968 64.03 -15.464 64.364 c
S
-14.717 62.774 m
-14.882 63.19 -15.184 64.02 -15.738 64.242 c
S
-15.798 63.081 m
-15.571 63.466 -15.101 64.213 -15.266 64.788 c
S
-14.274 62.336 m
-14.056 62.728 -13.606 63.487 -13.785 64.056 c
S
-13.908 62.254 m
-13.69 62.644 -13.239 63.404 -13.419 63.974 c
S
-14.251 62.368 m
-13.922 62.67 -13.256 63.249 -13.247 63.847 c
S
-14.718 62.572 m
-14.344 62.818 -13.594 63.283 -13.489 63.871 c
S
-14.183 62.46 m
-13.809 62.705 -13.059 63.17 -12.954 63.758 c
S
-13.8 62.079 m
-13.582 62.469 -13.132 63.228 -13.311 63.799 c
S
-13.72 62.091 m
-13.588 62.518 -13.306 63.355 -13.6 63.875 c
S
-14.372 63.004 m
-13.954 63.164 -13.12 63.455 -12.891 64.007 c
S
-14.551 62.82 m
-14.327 62.967 -13.876 63.246 -13.814 63.599 c
S
-14.819 62.748 m
-14.688 62.982 -14.418 63.437 -14.525 63.78 c
S
-14.546 62.673 m
-14.348 62.854 -13.948 63.202 -13.944 63.56 c
S
-14.599 62.698 m
-14.468 62.932 -14.198 63.388 -14.305 63.73 c
S
-14.805 62.766 m
-14.608 62.948 -14.208 63.295 -14.203 63.654 c
S
-15.085 62.888 m
-14.861 63.036 -14.411 63.316 -14.348 63.668 c
S
-14.764 62.821 m
-14.54 62.968 -14.09 63.248 -14.027 63.6 c
S
-14.534 62.593 m
-14.404 62.827 -14.133 63.283 -14.24 63.624 c
S
-14.486 62.6 m
-14.408 62.856 -14.238 63.358 -14.415 63.67 c
S
-14.877 63.148 m
-14.627 63.244 -14.127 63.419 -13.989 63.749 c
S
0 G
-22.153 58.163 m
-22.717 58.597 -23.331 59.394 -25.272 59.333 c
-25.536 59.156 -25.333 59.179 v
-23.404 59.393 -22.746 58.571 -22.16 58.167 c
F
-22.155 58.164 m
-22.664 58.662 -23.18 59.524 -25.113 59.693 c
-25.397 59.549 -25.194 59.548 v
-23.252 59.533 -22.696 58.639 -22.162 58.168 c
F
-22.04 58.055 m
-22.474 58.619 -23.29 59.883 -25.181 60.323 c
-25.483 60.22 -25.281 60.19 v
-23.361 59.902 -22.508 58.601 -22.047 58.059 c
F
-22.097 58.1 m
-22.406 58.741 -23.127 59.979 -24.888 60.795 c
-25.204 60.756 -25.013 60.686 v
-23.193 60.012 -22.494 58.682 -22.153 58.057 c
F
-23.128 59.471 m
-23.151 59.561 -22.408 62.172 y
-22.364 62.172 -22.273 62.688 -22.206 63.139 c
-21.962 64.766 -23.736 65.389 -24.366 65.929 C
-20.939 64.344 -21.305 62.669 -22.071 61.587 c
-23.128 59.471 l
f
-23.331 59.787 m
-23.372 59.87 -23.039 62.621 y
-22.955 63.423 -22.936 63.284 -23.06 63.859 C
-23.154 65.501 -25.281 65.867 -26.008 66.267 C
-22.33 65.415 -22.189 63.34 -22.717 62.124 c
-23.331 59.787 l
f
-23.759 60.304 m
-23.787 60.387 -23.488 63.048 y
-23.427 63.895 -24.164 64.332 -24.433 64.669 C
-25.986 66.019 -26.692 66.114 -27.201 66.514 C
-24.626 65.663 -22.959 63.858 -23.329 62.642 c
-23.759 60.304 l
f
1 G
0.036 w
-22.431 51.843 m
-21.891 50.943 -21.44 50.403 -20.54 50.314 c
-19.64 50.223 -19.1 49.954 -18.651 48.963 c
-18.2 47.974 -17.931 47.254 -17.031 46.983 c
S
0.9 G
-28.551 53.554 m
-28.911 53.103 -29.271 52.203 -30.441 52.114 c
S
-30.171 53.463 m
-30.441 52.743 -30.711 52.023 -31.611 51.574 c
S
-30.981 52.923 m
-31.611 52.474 -32.151 52.203 -33.051 52.383 c
S
-28.281 53.103 m
-28.371 52.114 -28.821 50.943 -29.451 50.314 c
S
-29.181 51.934 m
-29.451 51.214 -29.721 51.034 -30.261 50.854 c
S
-28.011 51.574 m
-28.011 50.763 -28.551 49.503 -29.001 48.963 c
S
-28.011 49.954 m
-28.191 49.234 -28.371 48.514 -28.731 48.063 c
S
-26.751 54.814 m
-27.561 54.454 -28.731 54.183 -29.631 54.363 c
S
-27.111 51.034 m
-27.021 50.043 -26.841 48.423 -27.651 47.614 c
S
-26.211 53.914 m
-26.571 53.374 -27.021 52.474 -27.651 52.203 c
S
0 G
0.072 w
-24.659 60.574 m
-24.687 60.657 -24.388 63.319 y
-24.327 64.165 -25.064 64.601 -25.333 64.939 C
-26.886 66.289 -27.592 66.384 -28.101 66.784 C
-25.526 65.932 -23.859 64.128 -24.229 62.912 c
-24.659 60.574 l
f
0 .94 0 .47 k
0.108 w
-22.7 36.093 m
-25.408 36.399 -35.518 39.773 -36.111 28.893 c
-36.381 23.943 -34.401 20.163 y
-34.131 18.723 -34.311 17.463 v
-34.491 16.203 -34.671 11.613 -33.681 10.173 C
-33.681 8.913 -33.771 -0.807 -25.04 -7.738 C
-24.411 -11.247 -25.221 -13.498 -22.16 -17.547 C
-22.071 -19.258 -21.531 -21.507 -19.28 -24.387 c
-17.031 -27.267 -16.851 -28.078 -16.671 -28.707 c
-16.491 -29.338 -16.131 -30.598 -14.96 -32.487 c
-13.791 -34.378 -12.711 -39.868 -10.1 -41.758 C
-8.66 -40.948 -2.991 -34.738 -4.791 -26.638 c
-6.591 -18.538 -5.331 -18.538 -4.971 -17.098 c
-4.611 -15.658 -1.011 -8.818 -5.6 1.082 C
-5.6 4.862 -7.524 17.75 -12.531 21.873 c
-15.036 23.936 -16.04 28.083 y
-17.12 35.463 -22.7 36.093 v
f
0 .94 .48 0 k
-21.62 36.993 m
-24.328 37.299 -34.438 40.673 -35.031 29.793 c
-35.301 24.843 -33.321 21.063 y
-33.051 19.623 -33.231 18.363 v
-33.411 17.103 -33.591 12.513 -32.601 11.073 C
-32.601 9.813 -32.691 0.093 -23.96 -6.838 C
-23.331 -10.347 -24.14 -12.598 -21.08 -16.647 C
-20.991 -18.358 -20.451 -20.607 -18.2 -23.487 c
-15.951 -26.367 -15.771 -27.178 -15.591 -27.807 c
-15.411 -28.438 -15.051 -29.698 -13.88 -31.587 c
-12.711 -33.478 -11.631 -38.968 -9.02 -40.858 C
-7.58 -40.048 -1.911 -33.838 -3.711 -25.738 c
-5.511 -17.638 -4.251 -17.638 -3.891 -16.198 c
-3.531 -14.758 0.069 -7.918 -4.52 1.982 C
-4.52 5.763 -6.444 18.65 -11.451 22.773 c
-13.956 24.836 -14.96 28.983 y
-16.04 36.363 -21.62 36.993 v
b
u
-6.714 -42.72 m
-8.934 -32.822 -8.577 -20.996 -7.364 -12.371 C
-5.888 -18.928 -3.626 -36.172 -4.16 -39.399 c
-4.696 -42.626 -6.242 -43.556 -6.714 -42.72 C
b
-8.969 -43.926 m
-11.798 -34.185 -12.173 -22.358 -11.496 -13.675 C
-9.617 -20.128 -6.292 -37.199 -6.627 -40.454 c
-6.961 -43.707 -8.447 -44.73 -8.969 -43.926 C
b
0.036 w
-13.109 -37.806 m
-15.938 -28.065 -16.314 -16.238 -15.636 -7.555 C
-13.757 -14.008 -10.432 -31.079 -10.767 -34.334 c
-11.101 -37.587 -12.587 -38.61 -13.109 -37.806 C
b
0 1 0 0 k
-8.069 -34.926 m
-10.898 -25.185 -11.273 -13.358 -10.596 -4.675 C
-8.717 -11.128 -5.392 -28.199 -5.727 -31.454 c
-6.061 -34.707 -7.547 -35.73 -8.069 -34.926 C
b
-5.729 -24.126 m
-7.08 -14.668 -6.673 -5.815 -4.7 3.062 C
-3.745 -3.59 -2.136 -17.841 -2.923 -21.016 c
-3.71 -24.191 -5.325 -24.995 -5.729 -24.126 C
b
-9.149 -21.426 m
-10.584 -11.384 -9.296 0.378 -7.408 8.88 C
-6.452 2.228 -5.556 -15.141 -6.343 -18.316 c
-7.13 -21.491 -8.745 -22.295 -9.149 -21.426 C
b
-14.189 -23.226 m
-15.624 -13.184 -14.337 -1.422 -12.448 7.08 C
-11.492 0.428 -10.596 -16.941 -11.383 -20.116 c
-12.17 -23.291 -13.785 -24.095 -14.189 -23.226 C
b
-17.429 -26.466 m
-18.864 -16.424 -17.577 -4.662 -15.688 3.84 C
-14.733 -2.812 -13.836 -20.182 -14.623 -23.356 c
-15.41 -26.531 -17.025 -27.335 -17.429 -26.466 C
b
0 .94 0 .58 k
-20.3 -21.874 m
-19.627 -12.005 -16.79 -0.797 -14.078 7.192 C
-14.521 0.654 -16.78 -16.229 -17.849 -19.202 c
-18.919 -22.176 -20.166 -22.762 -20.3 -21.874 C
b
-22.82 -17.373 m
-22.147 -7.505 -19.31 3.703 -16.598 11.692 C
-17.041 5.154 -19.3 -11.729 -20.369 -14.702 c
-21.439 -17.675 -22.686 -18.262 -22.82 -17.373 C
b
-26.434 -12.41 m
-24.792 -2.655 -20.864 8.219 -17.379 15.902 C
-18.464 9.439 -22.374 -7.139 -23.732 -9.993 c
-25.088 -12.846 -26.388 -13.307 -26.434 -12.41 C
b
-32.045 0.085 m
-33.543 9.863 -33.223 21.42 -32.32 29.808 C
-31.325 23.331 -29.843 6.362 -30.236 3.227 c
-30.631 0.092 -31.72 -0.753 -32.045 0.085 C
b
-29.165 -2.615 m
-30.663 7.163 -30.343 18.72 -29.44 27.108 C
-28.445 20.631 -26.963 3.662 -27.356 0.527 c
-27.751 -2.608 -28.84 -3.453 -29.165 -2.615 C
b
-28.085 -4.415 m
-27.939 5.475 -25.704 16.819 -23.422 24.941 C
-23.516 18.388 -24.871 1.41 -25.78 -1.617 c
-26.689 -4.643 -27.904 -5.295 -28.085 -4.415 C
b
-23.225 -1.535 m
-24.723 8.243 -24.403 19.8 -23.5 28.188 C
-22.505 21.711 -21.023 4.742 -21.416 1.607 c
-21.811 -1.528 -22.9 -2.373 -23.225 -1.535 C
b
-16.925 -0.455 m
-18.423 9.323 -18.103 20.88 -17.2 29.268 C
-16.205 22.791 -14.722 5.822 -15.116 2.687 c
-15.511 -0.448 -16.6 -1.293 -16.925 -0.455 C
b
-10.985 -4.955 m
-12.834 7.116 -12.8 10.083 -10.46 14.763 C
-8.12 9.003 -8.74 1.657 -9.176 -1.813 c
-9.57 -4.948 -10.66 -5.793 -10.985 -4.955 C
b
-21.605 8.546 m
-23.103 18.323 -22.523 18.795 -21.62 27.183 C
-20.625 20.706 -19.403 14.823 -19.796 11.687 c
-20.191 8.552 -21.28 7.707 -21.605 8.546 C
b
-28.085 11.786 m
-29.583 21.563 -28.823 22.755 -27.921 31.143 C
-26.925 24.666 -25.883 18.063 -26.276 14.927 c
-26.671 11.792 -27.76 10.947 -28.085 11.786 C
b
-31.145 15.386 m
-32.994 27.456 -32.961 30.423 -30.621 35.103 C
-27.36 27.075 -29.822 14.666 -29.336 18.527 c
-29.731 15.392 -30.82 14.548 -31.145 15.386 C
b
-25.745 16.466 m
-27.594 28.536 -27.561 31.503 -25.221 36.183 C
-22.88 30.423 -23.5 23.077 -23.936 19.607 c
-24.331 16.472 -25.42 15.628 -25.745 16.466 C
b
-14.225 5.666 m
-16.074 17.736 -16.58 16.923 -14.24 21.603 C
-11.9 15.843 -11.98 12.277 -12.416 8.807 c
-12.811 5.672 -13.9 4.827 -14.225 5.666 C
b
U
u
0 1 .85 0 k
-7.033 13.07 m
-8.828 12.419 -10.517 7.783 -6.639 7.358 c
-2.76 6.934 -6.418 13.293 -7.033 13.07 c
b
-27.176 16.796 m
-27.758 13.479 -22.997 8.867 -19.82 13.217 c
-16.533 17.719 -27.013 17.718 -27.176 16.796 c
b
-28.763 20.658 m
-29.68 17.739 -26.259 12.559 -22.327 17.763 c
-18.395 22.967 -28.448 21.659 -28.763 20.658 c
b
-21.543 14.05 m
-23.485 12.135 -22.915 5.108 -17.626 6.87 c
-12.337 8.631 -20.876 14.707 -21.543 14.05 c
b
-19.461 17.138 m
-20.376 16.663 -21.254 9.95 -16.978 10.532 c
-10.515 11.412 -18.529 17.62 -19.461 17.138 c
b
-25.221 20.613 m
-25.804 17.295 -22.637 12.827 -19.46 17.177 c
-16.173 21.679 -25.059 21.535 -25.221 20.613 c
b
-20.155 19.496 m
-20.738 16.179 -15.977 11.567 -12.8 15.917 c
-9.512 20.419 -19.993 20.418 -20.155 19.496 c
b
-12.625 16.564 m
-14.385 18.647 -18.551 8.692 -12.98 8.913 c
-7.352 9.137 -10.962 14.596 -12.625 16.564 c
b
-11.743 9.856 m
-12.452 8.148 -9.898 4.116 -6.899 6.703 c
-5.085 8.269 -11.274 10.984 -11.743 9.856 c
b
-8.016 9.023 m
-9.562 8.009 -9.716 3.238 -5.78 3.693 c
-1.846 4.147 -7.485 9.371 -8.016 9.023 c
b
-15.399 16.333 m
-15.73 14.452 -12.552 10.676 -10.251 13.827 c
-10.367 13.669 -14.789 19.807 -15.399 16.333 c
b
-12.26 13.962 m
-12.969 12.255 -10.416 8.222 -7.416 10.81 c
-9.343 9.147 -10.452 18.317 -12.26 13.962 c
b
-7.428 8.427 m
-9.126 7.693 -10.096 3.02 -6.14 2.793 c
-2.186 2.566 -6.846 8.679 -7.428 8.427 c
b
-23.163 23.77 m
-25.105 21.855 -24.535 14.829 -19.246 16.59 c
-13.957 18.351 -22.496 24.427 -23.163 23.77 c
b
U
u
0 1 1 0 k
-27.863 26.868 m
-29.372 24.207 -27.116 18.424 -22.179 22.686 c
-17.241 26.948 -27.344 27.781 -27.863 26.868 c
b
-17.628 24.953 m
-20.557 24.068 -22.916 18.327 -16.4 18.003 c
-9.887 17.68 -16.623 25.255 -17.628 24.953 c
b
-23.903 26.148 m
-25.412 23.487 -23.156 17.704 -18.218 21.966 c
-13.281 26.228 -23.384 27.061 -23.903 26.148 c
b
-32.723 23.088 m
-31.808 20.168 -26.041 17.871 -25.786 24.388 c
-25.532 30.906 -33.036 24.09 -32.723 23.088 c
b
-29.516 26.607 m
-30.098 23.288 -25.337 18.678 -22.16 23.027 c
-18.873 27.529 -29.353 27.527 -29.516 26.607 c
b
-21.801 26.947 m
-22.716 26.473 -23.594 19.76 -19.318 20.342 c
-12.855 21.223 -20.869 27.431 -21.801 26.947 c
b
-14.083 19.666 m
-14.792 17.959 -12.238 13.926 -9.239 16.514 c
-7.425 18.079 -13.614 20.795 -14.083 19.666 c
b
-10.356 18.833 m
-11.902 17.819 -12.056 13.049 -8.12 13.503 c
-4.186 13.958 -9.825 19.18 -10.356 18.833 c
b
-9.768 18.237 m
-11.466 17.503 -12.436 12.831 -8.48 12.603 c
-4.526 12.376 -9.186 18.489 -9.768 18.237 c
b
U
u
0 1 .7 1 k
-30.447 31.193 m
-31.364 28.274 -27.944 23.095 -24.011 28.298 c
-20.08 33.502 -30.132 32.195 -30.447 31.193 c
b
-26.906 31.148 m
-27.488 27.83 -24.322 23.363 -21.145 27.712 c
-17.858 32.214 -26.744 32.07 -26.906 31.148 c
b
-21.84 30.031 m
-22.423 26.714 -17.662 22.103 -14.485 26.452 c
-11.197 30.954 -21.678 30.953 -21.84 30.031 c
b
-28.827 37.313 m
-30.337 34.651 -28.08 28.869 -23.143 33.131 c
-18.206 37.393 -28.309 38.227 -28.827 37.313 c
b
-18.592 35.398 m
-21.522 34.514 -23.88 28.772 -17.365 28.448 c
-10.852 28.125 -17.588 35.701 -18.592 35.398 c
b
-24.867 36.593 m
-26.376 33.931 -24.12 28.149 -19.183 32.411 c
-14.246 36.673 -24.349 37.507 -24.867 36.593 c
b
-14.31 27.099 m
-16.07 29.183 -20.236 19.227 -14.665 19.448 c
-9.037 19.671 -12.646 25.131 -14.31 27.099 c
b
-33.687 33.533 m
-32.772 30.613 -27.005 28.316 -26.751 34.833 c
-26.496 41.351 -34.001 34.535 -33.687 33.533 c
b
-15.58 22.191 m
-16.289 20.484 -13.736 16.452 -10.736 19.039 c
-7.737 21.627 -15.337 22.777 -15.58 22.191 c
b
-13.405 22.148 m
-14.64 20.339 -12.236 20.843 -8.005 18.638 c
-8.385 18.836 -11.38 25.119 -13.405 22.148 c
b
U
0 1 .32 0 k
-35.841 41.133 m
-37.821 39.243 -39.081 40.683 -40.701 40.593 c
-44.762 40.368 -45.831 34.293 -47.091 34.203 c
-53.149 33.771 -55.641 23.943 -52.941 22.323 C
-57.441 23.313 -57.237 32.149 -59.241 28.713 C
-58.521 30.783 -59.151 30.423 -58.071 31.233 c
-56.991 32.043 -55.371 35.823 -60.411 35.103 c
-61.041 35.013 -58.431 42.303 -53.841 41.583 c
-49.251 40.863 -50.961 39.693 -50.691 38.703 c
-50.421 37.713 -46.731 39.423 -45.651 40.503 c
-44.571 41.583 -40.791 46.174 -37.911 45.183 c
-35.031 44.193 -34.401 44.733 -32.961 45.634 C
-35.841 41.133 L
f
-39.621 51.934 m
-43.221 53.103 -43.401 50.943 -45.201 49.863 c
-47.001 48.783 -49.251 46.083 -52.491 46.623 c
-55.731 47.163 -58.341 43.293 -58.881 42.663 C
-58.701 44.013 -58.341 44.374 -57.981 44.553 c
-57.621 44.733 -57.621 45.814 -57.981 46.263 C
-57.441 46.714 -56.991 48.243 -57.351 48.334 C
-54.921 49.503 -55.461 51.934 -52.581 51.034 c
-49.701 50.134 -49.881 50.943 -49.071 51.034 c
-48.261 51.123 -44.841 53.374 -42.861 53.283 c
-38.7 51.634 -39.621 51.934 v
f
0 g
0.108 w
-15.32 41.403 m
-12.98 44.013 -11.271 44.733 -10.731 52.023 C
-12.351 47.254 -11.54 45.903 -15.32 41.403 C
f
-25.131 43.833 m
-25.6 44.38 -24.771 45.183 -24.14 44.463 c
-23.511 43.743 -20 44.374 -16.851 46.263 C
-18.831 44.643 -23.511 41.943 -25.131 43.833 c
f
1 w
grestore
end } def
%
end
